Subject: Re: [mif] MIF and SCTP

From: <[email-masked]>
Date: Mon, 4 Apr 2011 11:08:32 +0200

Hi,

The problem statement is not expected to deal with SCTP use-case. Now, when translating your problem into a generic routing problem, it seems that the issue is covered by 4.2/bullet 2 (examples given are not supposed to be exhaustive).

Pierrick

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la part de
> Mikael Abrahamsson
> Envoyé : jeudi 31 mars 2011 10:48
> À : Scott Brim
> Cc : [email-masked]
> Objet : Re: [mif] MIF and SCTP
> 
> On Thu, 31 Mar 2011, Scott Brim wrote:
> 
> > Mikael (Mike?),
> >
> > If I understand correctly, you are looking for a way that your
> > transport function can control which interface a packet goes out on.
> > How to do that would be OS-specific.  When you suggest two routing
> > tables, I guess you want that because otherwise your OS won't know
> > that it's okay to send the packet out a particular interface at all.
> 
> I want the multi-NIC host to use the strong host model.
> 
> > It's not an SCTP problem -- it's a problem with SCTP's environment.  I
> > think you should send specific text for the MIF drafts, but about the
> > problem, not your proposed solution (since it is neither a problem nor
> > a current practice).
> 
> I can write text if someone can give guidance as to where my text might
> fit in.
> 
> It can be argued that my case is covered in
> <http://tools.ietf.org/id/draft-ietf-mif-problem-statement-11.txt> 4.2,
> but it doesn't include the traffic separation case, only ingress filtering
> case.
> 
> Is this a good place to add text to?
> 
> --
> Mikael Abrahamsson    email: [email-masked]
> _______________________________________________
> mif mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mif